ghc-boot-th-8.0.2: Shared functionality between GHC and the @template-haskell@ library

Copyright | (c) The GHC Team
Maintainer | ghc-devs@haskell.org
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

GHC.Lexeme

Contents

- Lexical characteristics of Haskell names

Description

Functions to evaluate whether or not a string is a valid identifier.

Synopsis

- startsVarSym :: Char -> Bool
- startsVarId :: Char -> Bool
- startsConSym :: Char -> Bool
- startsConId :: Char -> Bool
- startsVarSymASCII :: Char -> Bool
- isVarSymChar :: Char -> Bool

# Lexical characteristics of Haskell names

startsVarSym :: Char -> Bool Source #

startsVarId :: Char -> Bool Source #

startsConSym :: Char -> Bool Source #

startsConId :: Char -> Bool Source #

startsVarSymASCII :: Char -> Bool Source #

isVarSymChar :: Char -> Bool Source #